Quick Start to SAMreport-Lite

How to Obtain a License File
Quick Start to SAMreport-Lite

This section gives you step-by-step instructions for installing SAMreport-Lite™ on your system. If you have any questions that are not addressed in this Quick Start section, consult the appropriate sections in this User's Guide.

Topics in this section

  • How to Obtain a License File
  • How to Install Java Runtime Environment
  • How to Install SAMreport-Lite
  • How to Create and Set Up an Options File
  • How to Use SAMreport-Lite
  • How to Upgrade to SAMreport
Please send us your comment about this page


How to Obtain a License File

Quick Start to SAMreport-Lite
Quick Start to SAMreport-Lite
How to Install Java Runtime Environment
How to Obtain a License File

Before you install SAMreport-Lite, you must obtain a license file. SAMreport-Lite runs on any computer, but it can read only the report logs from the license server(s) where you obtain a license file. You will be asked for the location of this file during installation.

To obtain a license file

  1. On the server where you plan to manage licenses and report on them, click Start menu [image] All Programs (or Programs) [image] Autodesk [image] Network License Manager [image] LMTOOLS.
  2. In LMTOOLS, click the System Settings tab.
  3. Record the host ID, which is located in the Ethernet Address field.
    NoteIf your server has more than one Ethernet adapter, select one that corresponds to a physical network adapter.
  4. Exit lmtools. exe.
  5. Next, you need to request a license file from Macrovision Corporation. On the Internet, go to the following website:

    http://autodesk.globes.com

  6. Follow the online instructions for requesting a license file.
  7. After completing the online request for the license file, you will receive an email that contains the license information. Copy and paste the license information from the email into a text editor. Save the file with an extension of .lic or .dat. Make sure you note where you saved the file and what you named it. You will be prompted for the location of the license file during the SAMreport-Lite installation.


How to Install Java Runtime Environment

How to Obtain a License File
Quick Start to SAMreport-Lite
How to Install SAMreport-Lite
How to Install Java Runtime Environment

SAMreport-Lite requires Java Runtime Environment 1.4.2_04.

To install Java Runtime Environment

  1. Insert the Autodesk product CD into your CD-ROM drive.
  2. On the Media Browser, click the Install tab.
  3. Click Network Deployment.
  4. On the Network Deployment tab, under Install Supplemental Tools, click SAMreport-Lite 3.4.
  5. Click Install JRE 1.4.2, and follow the on-screen instructions.


How to Install SAMreport-Lite

How to Install Java Runtime Environment
Quick Start to SAMreport-Lite
How to Create and Set Up an Options File
How to Install SAMreport-Lite

To install SAMreport-Lite

  1. Insert the Autodesk product CD into your CD-ROM drive.
  2. On the Media Browser, click the Install tab.
  3. Click Network Deployment.
  4. On the Network Deployment tab, under Install Supplemental Tools, click SAMreport-Lite 3.4.
  5. Click Install, and follow the on-screen instructions.
NoteDuring installation of SAMreport-Lite, you will be asked for the location of your license file. If you do not have a license file, follow the procedures in How to Obtain a License File to obtain one.


How to Create and Set Up an Options File

How to Install SAMreport-Lite
Quick Start to SAMreport-Lite
How to Use SAMreport-Lite
How to Create and Set Up an Options File

To use SAMreport-Lite, you must configure your license server(s) to generate report logs. In the Network License Manager, you set up an Options file to enable SAMreport-Lite to create report logs.

NoteComplete instructions for setting up an Options file are located in the Autodesk Network Licensing Guide. You can access the guide from your product's Media Browser or in the Help system.

To create and set up an Options file

  1. In a text editor, create a file called adskflex.opt.
  2. In the adskflex.opt file, enter the following syntax on a single line:

    REPORTLOG [+] report_log_path

    REPORTLOG must be uppercase, as shown.

    In the REPORTLOG syntax, “[+]” means that entries to the log file you create are appended rather than replaced each time the Network License Manager is restarted. (It is recommended that you use this option so that you retain a history of log entries.)

    Path names that contain spaces must be enclosed in quotation marks. For example, the syntax REPORTLOG + “c:\My Documents\report.rl” means that a report log named report.rl is located in the folder c:\My Documents.

  3. Save the adskflex.opt file to the same location where your license file exists.
  4. Stop and then restart the Network License Manager.


How to Use SAMreport-Lite

How to Create and Set Up an Options File
Quick Start to SAMreport-Lite
How to Upgrade to SAMreport
How to Use SAMreport-Lite

To use SAMreport-Lite to generate a report

  1. Click Start menu (Windows) [image] All Programs (or Programs) [image] SAMreport [image] SAMreport.
  2. In the SAMreport-Lite window, click the Browse button.
  3. In the Report Log dialog box, locate and specify your report log file.

    By default, the Report Log dialog box lists only files named with a .rl file name extension. If your report log file has a different extension, such as .log, open the Files of Type list and select All Files to list all the files.

  4. In the SAMreport-Lite window, in the Output File box, specify the folder location and file name for your report output files.

    You do not need to specify the file name extension; the extension is automatically added to the name you supply based on the output formats you select. For example, if you select HTML and Text output formats and specify c:\my documents\report in Output File, the following report files are generated:

    c:\my documents\report.html

    c:\my documents\report.txt

    NoteBe sure to specify the full path name for your output files. If you don't, output files are written to the current working directory, which may be the Windows desktop. Specifying a full path name ensures that your report files are saved in the folder you choose.
  5. On the Report menu, click Generate.

  6. The report you specified is generated.

For more information about generating reports, see Basics of Generating a Report and Usage Summary Report.


How to Upgrade to SAMreport

How to Use SAMreport-Lite
Quick Start to SAMreport-Lite
Introduction
How to Upgrade to SAMreport

The full-featured SAMreport product provides additional types of reports and options, and includes additional features such as command line batch processing. Upgrading to the full version of SAMreport does not require a new installation, just a new license file. To learn about the full-featured version of SAMreport, go to the Macrovision Corporation website at:

www.macrovision.com


Introduction

How to Upgrade to SAMreport
Intended Audience
Introduction

This chapter contains introductory information about license management, a description of SAMreport-Lite and explanatory information about this guide.

Topics in this section

  • Intended Audience
  • About This Manual
  • What is License Management?
  • What is SAMreport-Lite ?


Intended Audience

Introduction
Introduction
About This Manual
Intended Audience

SAMreport-Lite™ and this manual are intended for use by system administrators, system analysts, and managers who use FLEXlm® license management to produce usage reports for your software.


About This Manual

Intended Audience
Introduction
What is License Management?
About This Manual

This manual is divided into five chapters and two appendixes:

  • Quick Start to SAMreport-Lite provides quick instructions for installing and using SAMreport-Lite. This chapter defines license management and introduces SAMreport-Lite.
  • Basics of Generating a Report contains instructions for generating a Usage Summary report from the SAMreport-Lite interface.
  • Usage Summary Report describes the Usage Summary report, and describes how to arrange report output.
  • Report Input and Output shows how to specify input files and describes output formats.
  • Enabling and Managing Report Logs provides guidelines for enabling and managing report logs.
  • SAMreport-Lite Error Messages lists some errors that you might get while running SAMreport-Lite.


What is License Management?

About This Manual
Introduction
What is SAMreport-Lite ?
What is License Management?

License management is a set of technologies that monitors the use of software. In some cases, it may also limit use of a product or record usage of a product.

Most software companies have legal agreements that detail the obligations of the manufacturer and user to each other. These agreements are often referred to as “licenses.” Some companies also include license management technology to simplify the legal use of their products. Throughout this documentation, the term “license” refers to a “token” obtained through some electronic technology, not the legal agreement between a customer and a software vendor.

License management is embedded into a software product by the software vendor.


What is SAMreport-Lite ?

What is License Management?
Introduction
Basics of Generating a Report
What is SAMreport-Lite ?

SAMreport-Lite, a member of the GLOBEtrotter family of Software Asset Management (SAM) Solutions, is a report generator that helps you monitor the usage of applications that use FLEXlm. SAMreport-Lite complements FLEXlm by providing a graphical user interface (GUI) from which to run usage reports. SAMreport-Lite can help you make better decisions about your software assets.

SAMreport-Lite generates reports based on the license usage activity recorded in FLEXlm report logs. FLEXlm report logs are produced by vendor daemons and maintain a record of the activity of the vendor daemon. Enabling and Managing Report Logs describes how to start and manage report log files.

The SAMreport-Lite report generator comes with a predefined report type, which allows you to quickly start generating reports. The report summarizes data from your report logs into categories.

SAMreport-Lite processes the data from one or more report log files and writes the results to a file and/or displays results on the screen. The Usage Summary report produces a textual output that summarizes the usage statistics of each feature. The output of this report can be saved to files in text, HTML, or Report Interchange Format (RIF). RIF can be used to export report data to another software program, such as a spreadsheet.


Basics of Generating a Report

What is SAMreport-Lite ?
Generate a Usage Summary Report
Basics of Generating a Report

This chapter shows you how to generate a Usage Summary report using the SAMreport-Lite user interface. You'll find a detailed explanation of the report in Usage Summary Report.

Topics in this section

  • Generate a Usage Summary Report


Generate a Usage Summary Report

Basics of Generating a Report
Basics of Generating a Report
Usage Summary Report
Generate a Usage Summary Report

Using SAMreport-Lite™ you can generate a network license-usage report, called Usage Summary, for Autodesk® software that uses FLEXlm® licensing technology.

To generate a Usage Summary report from the SAMreport-Lite interface

  1. Start SAMreport-Lite.
  2. Select Usage Summary from the Report Type list.
  3. Specify one or more report log files.
  4. Using one of the following two methods, specify the location of each of the report logs you want to run with SAMreport-Lite.
    • Type the path to the report log in the text field to the right of the Browse button. Press Enter. Repeat this process for each report log that you want to add.
    • Click the Browse button and use the report log file browser to select a report log from your system. Double-click the report log file. You can repeat this process to select more than one report log from the browser.

    After you select a report log, the report log file name appears in the text box above the Remove button. To remove a report log from the list, click to highlight the report log, then click the Remove button.

    There is no fixed limit on the size of a report log that you run through SAMreport-Lite, but the execution time of a report is proportional to the amount of report log data that is processed.

  5. Specify an output format and/or an output file name base.

    A Usage Summary report is displayed on the screen from a file. Therefore, if you want to display a Usage Summary report on the screen, you must specify an output file format and output file name base.

    Unavailable output formats are grayed out. All reports written to files require an output file name base and at least one output format selection.

    The file name base can be entered using one of two methods:

    • Type the path and file name base in the text field to the right of the Output File button. If no path is specified, the files are written to the current working directory.
    • Click the Output File button to open a file selection browser. Find and double-click the directory in which you want to save the output file. Type the file name base in the file selection browser. Click the Save button.
    NoteDo not type a file extension (such as .txt). SAMreport-Lite adds the appropriate file extension based on the file type that you chose.
  6. Specify how you want the report data summarized and arranged.
  7. Specify the start and end dates for the report output.

    Use these fields to limit the date range of data to include in a report. To include data from the entire report log(s) in your report, leave these fields blank. See Setting Start and End Dates for a Report.

  8. Select Report [image] Generate or click the Generate Report button.

A SAMreport-Lite Viewer window will appear and the report progress indicator moves from 0-100% as the report runs. Status messages, including any errors that occurred during report processing, are written in the Status History pane. You should see a status message indicating whether a report was produced. Even if a report was generated, there may be warnings or errors that are displayed here.

If you want to stop generating a report, click the Stop button on the toolbar or select Report [image] Stop.

After a report is generated, the SAMreport-Lite Viewer window contains one or more pages of the report output.


Usage Summary Report

Generate a Usage Summary Report
Usage Summary Report Output
Usage Summary Report

A Usage Summary report produces textual output that summarizes the usage statistics of each feature in the report log(s).

Topics in this section

  • Usage Summary Report Output
  • Output Arrangement and Detail


Usage Summary Report Output

Usage Summary Report
Usage Summary Report
Output Arrangement and Detail
Usage Summary Report Output

The output of a Usage Summary report can be saved to files in HTML, text, or RIF format. The header of a Usage Summary report provides a summary of information about the report log and the parameters of the report:

FLEXIm License Usage Report date time
Produced by SAMreport-Lite | Version
Input Report Log: | List of input report log(s)
Output File Name: | Name of report output file
Report Log(s) Start: | Earliest start date in any report log
Report Log(s) End: | Latest end date in any report log
Report Start Date: | Date to begin report—either a filter start date or the starting date of the earliest report log
Report End Date: | Date to end the report—either a filter end date or the ending date of the latest report log
Uptime: | Duration in real clock time between the report start and end dates that a license server was up
Vendor: | Vendor daemon name(s)
Breakdown by: | Report breakdown categories, if any
Filter Start Date: | Date set to start report, if any
Filter End Date: | Date set to end report, if any
Event Filters: | List of event filters for the report, if any
Time Period Filters: | List of time period filters for the report, if any
Features With Usage: | List of features in the scope of this report (that is, not filtered out) that have license activity displayed in the report
Features Without Usage: | List of features in the scope of this report (that is, not filtered out) that do not have license activity displayed in this report

A Usage Summary report with default settings contains one line per feature and 11 columns per line. From left to right in the report, the columns are:

Category | Column Heading | Description
Available | max | Maximum number of available licenses. Includes overdraft licenses.
 | hours | Number of available hours of license usage.
License Requests | total | Total number of license requests.
 | used | Number of licenses requests fulfilled.
 | que | Number of license requests queued.
 | den | Number of license requests denied.
 | unsup | Number of license requests not fulfilled because the feature is unsupported.
 | %den | Percent of license requests that were denials.
Used | max | Maximum number of licenses used simultaneously. Includes overdraft licenses.
 | hours | Number of available license hours used.
 | %hrs | Percent of available license hours used.

Possible explanations for denials in reports where the maximum available number of licenses were never used include:

  • The number of available licenses changed during the report period.

    For example, you start your report log when you have 10 licenses of FeatureA, then a few months later, still writing to the same report log, you add 10 more FeatureA licenses. Your report might show the max available licenses = 20, max used licenses = 18, and denials. Remember that the denials may have occurred when you only had 10 licenses available.

  • Licenses are reserved for particular users.

    Even though all licenses for a feature are not checked out, they are not available to all users. If someone outside the reservation group tries to check out a reserved license, that user will be denied a license. License reservations are set in a vendor daemon's options file.

  • Users are excluded from the group of users who can check out a license.

    Even though all licenses for a feature are not checked out, a particular user may be excluded from using a license and gets a denial when trying to check out a license. Exclusions are set in a vendor daemon's options file.


Output Arrangement and Detail

Usage Summary Report Output
Usage Summary Report
Report Input and Output
Output Arrangement and Detail

The Usage Summary report shows license usage by feature. To create a report that shows more detail about the nature of license usage, you can use a combination of:

  • Summary period
  • Breakdown category
  • Sort order specification
  • Feature description

Using these controls, you can decompose the usage of each feature into useful groupings according to your particular reporting requirements.

You may use the Summary choice lists in the SAMreport-Lite main window, which provide easy access to the Feature, User Name, and User Host Name breakdown categories. You will notice that changing the breakdown settings automatically changes the sort order to defaults that correspond to your breakdown settings.

If you specify multiple breakdown categories, the resulting report shows use of features by each unique combination of breakdown categories.


Report Input and Output

Output Arrangement and Detail
Specifying Input Report Logs
Report Input and Output

You can create reports using one or more report logs from one or more FLEXlm® vendor daemons, as long as each report log is written by a single vendor daemon running on a single host. (Each redundant vendor daemon must write to its own report log.)

Topics in this section

  • Specifying Input Report Logs
  • Displaying Output to the Viewer Window
  • Navigating the SAMreport-Lite Viewer Window
  • Selecting Output Type and Output File Names
  • Output Formats
  • Data Filters
  • Reports and Time Zones
  • Setting Start and End Dates for a Report


Specifying Input Report Logs

Report Input and Output
Report Input and Output
Displaying Output to the Viewer Window
Specifying Input Report Logs

The only valid input files are FLEXlm report logs. These report logs may have been produced by redundant license servers or distributed license servers, or they may simply be archived report logs from one or more license servers. Report logs must be accessible to SAMreport-Lite™. Enabling and Managing Report Logs describes how to start and manage report log files.

You must specify at least one report log before running a report. You must specify the location of each of the report logs you want to run with SAMreport-Lite using one of the following two methods.

  • Type the path to the report log in the text field to the right of the Browse button. Press Enter. Repeat this process for each report log that you want to add.
  • Click the Browse button and use the report log file browser to select a report log from your system. Double-click the report log file. You can repeat this process to select more than one report log from the browser.

After you select a report log, the report log file name appears in the text box above the Remove button. To remove a report log from the list, click to highlight the report log, then click the Remove button.

There is no fixed limit on the size of a report log that you run through SAMreport-Lite, but the execution time of a report is proportional to the amount of report log data that is processed.


Displaying Output to the Viewer Window

Specifying Input Report Logs
Report Input and Output
Navigating the SAMreport-Lite Viewer Window
Displaying Output to the Viewer Window

All reports generated in the SAMreport-Lite interface are displayed on the screen in a SAMreport-Lite Viewer window, even if you specify one or more output files.


Navigating the SAMreport-Lite Viewer Window

Displaying Output to the Viewer Window
Report Input and Output
Selecting Output Type and Output File Names
Navigating the SAMreport-Lite Viewer Window

The SAMreport-Lite Viewer window is divided into two sections. A list of the titles of individual pages of a report or a list of output formats is displayed in the left side of the SAMreport-Lite Viewer. A textual page of a report is displayed in the right side of the Viewer. If the displayed page is longer than the display space (often the case with textual report output), you can read the rest of the page by moving the scrollbar at the right margin of the Viewer. A navigation toolbar and report progress indicator are displayed at the top of the Viewer.

You can display different pages or output formats of a report in one of three ways:

  • Click the page name in the left side of the window.
  • Click the Back and Forward buttons in the toolbar.
  • Select Next or Previous from the Page menu.


Selecting Output Type and Output File Names

Navigating the SAMreport-Lite Viewer Window
Report Input and Output
Output Formats
Selecting Output Type and Output File Names

Different output formats are available; unavailable output formats are grayed out. All reports written to files require an output file name base and at least one output format selection.

The file name base can be entered in one of two methods:

  • Type the path and file name base in the text field to the right of the Output File button. If no path is specified, the files are written to the current working directory.
  • Click the Output File button to open a file selection browser. Find and double-click the directory in which you want to save the output file. Type the file name base in the file selection browser. Click the Save button.

The appropriate file name extension is automatically appended to a file name base, depending on the files's output format:

Output Format | File Name Extension
HTML | .html
Text | .txt
Report Interchange Format See a description of RIF in Output Formats. | .rif

SAMreport-Lite will not warn you if the output file that you are defining already exists and that you are about to overwrite it.


Output Formats

Selecting Output Type and Output File Names
Report Input and Output
Format Specification:
Output Formats

Usage Summary reports are available in the following formats:

  • Text. This format is suitable for printing and reading, but not for parsing.
  • HTML. This format is suitable for posting textual reports to a web page.
  • Report Interchange Format (RIF). This format is a simple, flexible, plain text format that is designed to pass tabular information between the report generator and another program, such as a spreadsheet. Fields are delimited by multiple spaces.

Textual reports are written to a single RIF file; each page of a multipage graphical report is written to a separate RIF file. Sequential numbers (starting with 0) are appended to the file name base of the RIF files and they have the extension .rif. A Table of Contents RIF file is generated for each RIF report and is named output_filename_base _toc.rif.

Topics in this section

  • Format Specification:


Format Specification:

Output Formats
Output Formats
Data Filters
Format Specification:
#BEGIN HEADER |
header lines |
#END HEADER |
#cols [#rows] name of dataset | // These lines contain
column labels | // info for the first
[rows] | // table.

If you break down data by more than one category in a Usage Summary report written in RIF, each of the categories is presented in its own column.

More than one table may be contained in a RIF file. The #rows entry is not present if the file contains rows from only one table. If the #rows entry is missing, read all of the rows until the end of the file. If there is more than one table in the RIF file, the table-specific portion of the format is repeated for each additional table.

#cols [#rows] name of dataset | // These lines contain
column labels | // the first table.
[rows] | //


Data Filters

Format Specification:
Report Input and Output
Reports and Time Zones
Data Filters

Some of the information contained in the report log is subject to filtering. Two filters can be specified for a Usage Summary report—feature and user.

Multiple filter categories for one report are applied with a Boolean AND operation—all the specified conditions must be satisfied. If a report is filtered on user==User1 and feature==Feature2, the resulting report contains usage of Feature2 by User1.

Multiple instances of a single filter category are applied with a Boolean OR operation. If a report is filtered on user==User1 and user==User2, the resulting report contains usage of features by either User1 or User2.

Multiple filter values for the same filter category can be specified on the same line separated by a space or on separate lines. For example, user==User1 User2 is equivalent to user==User1 and user==User2.


Reports and Time Zones

Data Filters
Report Input and Output
Setting Start and End Dates for a Report
Reports and Time Zones

Timestamps in a report log are determined by the clock on the license server machine. The times are converted from the time zone of the license server machine and stored in the report log in Greenwich Mean Time (GMT), also known as Universal Time (UTC). Therefore, the data in a report log is insensitive to time zones, and you can run a report using report logs that were written on machines in different time zones without compensating for time differences. Reports, on the other hand, show time using the time zone set on the machine where the report was generated. SAMreport-Lite translates times in UTC from the report log using the offset for the time zone of the machine on which SAMreport-Lite is running.

For example, if you have an event in a report log that was written at 1pm by a vendor daemon running on a license server in the US Eastern time zone, its timestamp in the report log would be written as 6pm GMT. If an event in a report log was written at 10am by a vendor daemon running on a license server in the US Pacific time zone, its timestamp would also be written as 6pm GMT. If those two report logs were used to generate a report in the US Pacific time zone, those two events would both be reported at 10am. If the same report were generated on a computer in the US Eastern time zone, the events would both be reported at 1pm.

Possible causes for the times in reports that are different than you expect are:

  • The time zone on the license server machine is set incorrectly. If the time zone is not set correctly, and the system clock has been set to show local time, an error is introduced into the UTC timestamps recorded in the report log.
  • The time zone on the machine where SAMreport-Lite is running is set incorrectly. Even if the clock time looks correct, the time zone may not be set correctly.


Setting Start and End Dates for a Report

Reports and Time Zones
Report Input and Output
Enabling and Managing Report Logs
Setting Start and End Dates for a Report

Start and end dates for report output can be set in text fields in the middle portion of the SAMreport-Lite main window. Times can be included. If no start and end dates are set, the report is generated with data from the entire report log. If no time is specified, days begin at midnight, 00:00:00.

The following formats are accepted for 3:30 pm on January 31, 2007:

MM/dd/yyyy HH:mm:ss | 1/31/2007 15:30:00
MM/dd/yyyy HH:mm | 1/31/2007 15:30
MM/dd/yyyy | 1/31/2007
yyyyMMdd HHmmss | 20070131 153000
yyyyMMdd HHmm | 20070131 1530
yyyyMMdd | 20070131
MMM dd, yyyy HH:mm:ss | Jan 31, 2007 15:30:00
MMM dd, yyyy HH:mm | Jan 31, 2007 15:30
MMM dd, yyyy | Jan 31, 2007

HH is measured by a 24-hour click (0-23). MMM can be either the three-letter abbreviation for the name of a month or the full name of the month (Jan, January, jan, january, JAN, JANUARY).


Enabling and Managing Report Logs

Setting Start and End Dates for a Report
How to Turn on a Report Log
Enabling and Managing Report Logs

To use SAMreport-Lite™, you need one or more report log files that are accessible to SAMreport-Lite. Each report log must be written by a single vendor daemon on a single host. (Vendor daemons running on more than one server must each write to their own report logs.)

SAMreport-Lite cannot produce reports from debug log files (lmgrd's standard output).

Topics in this section

  • How to Turn on a Report Log
  • Size of the Report Log
  • Flushing Data to a Report Log
  • Managing Report Logs
  • Avoiding Corruption in Report Logs


How to Turn on a Report Log

Enabling and Managing Report Logs
Enabling and Managing Report Logs
Size of the Report Log
How to Turn on a Report Log

SAMreport-Lite can read report logs that are accessible to the machine where SAMreport-Lite runs—either by being located on the machine where SAMreport-Lite runs or via a network share.

After you enable report logging with the following method, your vendor daemon will be writing a report log from which you can generate a report with SAMreport-Lite. Depending on your license usage, you should wait a few hours or a few days before generating a report from this report log.

The options files and license files for each license server in a redundant license server configuration must also be set up in order for report logging to continue when the master changes. If a master license server goes down, the new master will read its license and options files and write to its own report log.

To enable report logging for one of your Flexlm vendor daemons

  1. Create an options file for the vendor daemon, if one doesn't already exist. The options file is a plain text file with any name (we recommend an .opt extension).

    For example, for a vendor daemon called vend, the options file could be:

    C:\Program Files\Autodesk Network License Manager\vend.opt

  2. In the options file, enter a line of the following form:

    REPORTLOG + path \ ReportLogFileName

    NoteThe line + path \ ReportLogFileName cannot contain any spaces unless the entire line is contained within quotation marks, as in: ”+ path \ ReportLogFileName”

    The leading “+” character tells the vendor daemon to append output to the report log each time the vendor daemon starts, rather than clearing and overwriting the report log. There is no space after the “+” character.

    Each vendor daemon must write its own report log. Do not direct multiple vendor daemons to write to the same report log. SAMreport-Lite (starting with v3.0d) will not process any report log that has been written by more than one vendor daemon on more than one host.

  3. Add the path and file name of the options file to the end of the DAEMON line in the license file.
  4. Restart the license server.
  5. When you change or create an options file, you must restart the license server in order for those changes to take effect. Rereading the license file is not sufficient.


Size of the Report Log

How to Turn on a Report Log
Enabling and Managing Report Logs
Flushing Data to a Report Log
Size of the Report Log

A good estimate of the size of your report logs (from FLEXlm pre-v5 vendor daemons) is 100 bytes per checkout or checkin, or about 20-25% bigger than the portion of the debug log pertaining to that vendor daemon. FLEXlm v5+ daemons generate report log files that are approximately 25% of the size of pre-v5 report log files.


Flushing Data to a Report Log

Size of the Report Log
Enabling and Managing Report Logs
Managing Report Logs
Flushing Data to a Report Log

For efficiency, the license server periodically flushes usage events to the report log. The frequency of these flushes depends on the activity level of the license server as well as on the version and configuration of the vendor daemon. To run a report with up-to-the-minute usage information, before running the report, manually flush data from the buffer to the report log by causing the vendor daemon to reread its license file with the FLEXlm utility, lmreread.

You can issue an lmreread command by clicking the Reread License File button in the Stop/Reread tab of lmtools.


Managing Report Logs

Flushing Data to a Report Log
Enabling and Managing Report Logs
Finding the Version of the Vendor Daemon and lmswitchr
Managing Report Logs

Remember that you can produce a report from multiple report logs as long as each report log is written by a single vendor daemon running on a single machine. (Vendor daemons running on more than one redundant server must write to their own report logs.) Therefore, to keep the size of report logs manageable, you should regularly close out a current report log and begin to write to a new one. This process is known as rotating report logs. A recommended method for rotating report logs is provided later in this section.

You may want to automate the process of managing each license server's report logs. The following steps can be performed on a regular basis:

  1. Rotate a report log. To avoid corruption in your report logs, we recommend that you rotate your logs with the FLEXlm utility, lmswitchr (found in the lmtools interface).
  2. Update the vendor daemon's options file(s).
  3. Move the older report log to a designated location.
  4. Archive (and probably compress) a report log when it is no longer needed to run reports.

You must rotate a report log at the following times:

  • If you move the license server to a new machine.

    If SAMreport-Lite detects that the license server hostid changes in a report log used to generate a report, it will stop processing the report log and include only the data preceding the hostid change in the report.

  • If a vendor daemon name changes.

    If SAMreport-Lite detects that the vendor daemon name changes in the report log used to generate a report, it will stop processing the report log and include only the data preceding the vendor daemon name change in the report.

    You may want to rotate a report log at a regular time interval, such as weekly or monthly, depending on how quickly the report log grows. The rotation of a report log does not need to be tied to the interval over which you run your reports—remember that you can run a report on multiple report logs and that you can filter report data with designated start and end dates. You may also want to rotate report logs when the license limit for a feature changes, but alternatively, you can also set start and end date filters to isolate usage for given license limits.

NoteYou can corrupt a report log by rotating it incorrectly. A report log must begin with a header that is written by the vendor daemon. Without this header, the report log is corrupted. The data in the report log is unusable and unsalvagable from the start of the report log until the first time in that report log that the license server is restarted.

The report log will have no header and will be corrupted if you manually copy an active report log to a new file name, delete the original active report log, and keep the vendor daemon writing to the original active report log file name.

Topics in this section

  • Finding the Version of the Vendor Daemon and lmswitchr
  • Rotating a Report Log with lmswitchr


Finding the Version of the Vendor Daemon and lmswitchr

Managing Report Logs
Managing Report Logs
Rotating a Report Log with lmswitchr
Finding the Version of the Vendor Daemon and lmswitchr

How you are able to rotate report logs depends on the version of the vendor daemon and lmswitchr that you use. The -switchlog batch option in SAMsuite uses lmswitchr.

Find the version of the vendor daemon. To find the version of a vendor daemon, start lmtools, the FLEXlm utility. Select the Utilities tab where you can find the version of FLEXlm that is built into a file. Enter or browse to the vendor daemon and click the Find Version button. The FLEXlm version will be displayed at the bottom of the lmtools window.

lmswitchr is found in the lmtools interface. Check the version of lmtools (and therefore lmswitchr ) by selecting Help [image] About.


Rotating a Report Log with lmswitchr

Finding the Version of the Vendor Daemon and lmswitchr
Managing Report Logs
Avoiding Corruption in Report Logs
Rotating a Report Log with lmswitchr

This method of rotating a report log is recommended if you are not using SAMsuite.

  1. Start lmtools. In the Service/License File tab, select the license server whose report log you want to rotate. Click the Switch Report Log tab. Type the Vendor Name and the New Report Location. Be sure to specify a new file name (do not reuse the old file name) for the new report log. Click the Switch Report Log button.
  2. Edit the options file with the new report log path and file name. If the license server goes down and comes back up, the vendor daemon will read its options file and will continue to write to the new report log. For redundant license servers, update each of the three options files.
  3. Move the closed report log to where it can be accessed for reporting and storage. You will move one report log for a single license server and up to three report logs for a redundant license server.
  4. Eventually you will not need to run reports on some of your old report logs. Those report logs can be compressed and archived to a location that does not necessarily need to be accessed by SAMreport-Lite.


Avoiding Corruption in Report Logs

Rotating a Report Log with lmswitchr
Enabling and Managing Report Logs
SAMreport-Lite Error Messages
Avoiding Corruption in Report Logs

Flexlm has been improved from version to version to make report logging more robust. Nevertheless, particularly in older versions of the vendor daemon, corruption can occur in the report log.

Follow these guidelines to avoid corrupt report log files:

  • In pre v 5.1 vendor daemons, rereads, and shutdowns could possibly introduce corruption, particularly if the server is busy. With these older vendor daemons, the best policy is to issue reread or shutdown when no licenses are checked out, if possible.
  • Issuing an lmdown command while the server is shutting down can cause corruption.
  • Don't move, copy, or edit the report log file while the server is running.
  • Never configure more than one license server to write to the same report log file. In the case of a redundant server, each vendor daemon must write to a distinct file, preferably one which is local to the server machine. Even if the report log is not corrupted, SAMreport-Lite will not run a report using a report log that has been written by a vendor daemon running on more than one license server machine.
  • Never configure different vendor daemons to write to the same report log file. Even if the report log is not corrupted, SAMreport-Lite will not run a report using a report log that has been written by more than one vendor daemon.
  • Do not use lmswitchr or -switchlog to switch the report log to an existing report log file. Switch to a file with a new name.
  • Never hand-edit a report log or combine report logs together into the same file.
  • If you change a server host name, make sure you stop the license manager and create a new report log when the name change is complete.


SAMreport-Lite Error Messages

Avoiding Corruption in Report Logs
Runtime Error Messages
SAMreport-Lite Error Messages

This section lists SAMreport-Lite runtime error messages and the output report log details.

Topics in this section

  • Runtime Error Messages


Runtime Error Messages

SAMreport-Lite Error Messages
SAMreport-Lite Error Messages
Runtime Error Messages

The following runtime error messages may be written to the Status History tab of the SAMreport-Lite™ interface or to a terminal window:

Error | Output Report Log
Error: Report log has been corrupted (-4) file line no (id 50)(minor -1) (Invalid key found, record lost) | Corrupt report log event found in a report log. May be associated with a vendor daemon crash.
Error: Internal Error (-7) file line no (id 54)(minor 0) feature key | Indicates an unexplained problem in SAMreport-Lite. This error should be reported to Autodesk®.
Error: A reportlog is missing (-9) file line no (id 40)(minor 0) feature key | Report log contains a gap of significant duration between an end (or lmswitchr) and the following start event.
Error: Reportlog is truncated (-11) file line no (id 48)(minor -5) (Vendor daemon crashed and restart) | Report log event fragment is seen immediately followed by a restart. The feature corresponding to the event fragment is undetermined. Usually caused by vendor daemon crash.
Error: Reportlog is truncated (-11) file line no (id 48)(minor -5) (Vendor daemon crashed and restart) feature key | Report log event fragment is seen immediately followed by a restart. The feature corresponding to the event fragment is shown. This event is unusable. Usually caused by vendor daemon crash.
Error: Reportlog is truncated (-11) file line no (id 42)(minor 0) feature key | Report log file ends abruptly. Probably caused by reading or copying the report log while the vendor daemon is running. Could also be the result of a vendor daemon crash with no subsequent restart.
Error: An error was found in the reportlog (-13) file line no (id 51)(minor -4) (Checkout occurred without checkin, recovery attempted) feature key | No matching checkin event found for a checkout event. Because the error is reported much later than the actual error occurred, the line number is not particularly relevant. Sometimes this error is reported in error.
Error: An error was found in the reportlog (-13) f ile line no (id 37)(minor -7) (A data field is corrupted, record recovered, field recovery attempted) feature key | Indicates corruption in one of the report event fields.
Error: end date may be using 2 digit year instead of 4 digits Error occurred: gsi. SAMreport-Lite .JrepException: Unable to generate report. | This is an example of an error that occurs when a parameter or an argument is invalid and a report cannot be generated. The first line describes which parameter or argument is invalid.
Error: In file vendor changed from vendor_name1 (hostid1) to vendor_name2 (hostid2). No further events will be read from this file. | This report log has been written by more than one vendor daemon or by a vendor daemon running on more than one hostid.
Error reporting threshold of 2000 has been reached. No further errors will be reported. | Corruption: Significant corruption in the input report log(s) has rendered parts of this report suspect. Please contact your Autodesk dealer or reseller.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!